/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package telas;

import Conection.BancoDados;
import ModeloControle.ControleAgenda;
import java.sql.Date;
import java.sql.SQLException;
import java.util.ArrayList;
import javax.swing.JOptionPane;
import javax.swing.ListSelectionModel;
import modeloMetodos.Agenda;
import modeloMetodos.Tabela;

/**
 *
 * @author soare
 */
public class CadastroAgenda extends javax.swing.JFrame {

     BancoDados conexao = new BancoDados();
     Agenda agenda = new Agenda();
     
    public CadastroAgenda() {
        initComponents();
  //    preencherMedicos();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jTextFieldPaciente = new javax.swing.JTextField();
        jTextFieldProcedimento = new javax.swing.JTextField();
        jButtonBuscar = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTablePacientes = new javax.swing.JTable();
        jLabel7 = new javax.swing.JLabel();
        jComboBoxEspecialidade = new javax.swing.JComboBox<>();
        jButtonAgendar = new javax.swing.JButton();
        jButtonCancelarAgenda = new javax.swing.JButton();
        jComboBoxTurno = new javax.swing.JComboBox<>();
        jDateChooserData = new com.toedter.calendar.JDateChooser();
        jTextFieldMedico = new javax.swing.JTextField();
        jButtonBuscarMed = new javax.swing.JButton();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTableMedicos = new javax.swing.JTable();
        jLabel1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jPanel1.setPreferredSize(new java.awt.Dimension(620, 800));

        jLabel2.setText("Paciente:");

        jLabel3.setText("Medico:");

        jLabel4.setText("Procedimento:");

        jLabel5.setText("Data:");

        jLabel6.setText("Turno");

        jTextFieldProcedimento.setEnabled(false);

        jButtonBuscar.setText("Buscar");
        jButtonBuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonBuscarActionPerformed(evt);
            }
        });

        jTablePacientes.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {},
                {},
                {},
                {}
            },
            new String [] {

            }
        ));
        jTablePacientes.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jTablePacientesMouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(jTablePacientes);

        jLabel7.setText("Status");

        jComboBoxEspecialidade.setEnabled(false);

        jButtonAgendar.setText("AGENDAR");
        jButtonAgendar.setEnabled(false);
        jButtonAgendar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAgendarActionPerformed(evt);
            }
        });

        jButtonCancelarAgenda.setText("CANCELAR AGENDAMENTO");
        jButtonCancelarAgenda.setEnabled(false);
        jButtonCancelarAgenda.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelarAgendaActionPerformed(evt);
            }
        });

        jComboBoxTurno.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Manha", "Tarde" }));
        jComboBoxTurno.setEnabled(false);

        jButtonBuscarMed.setText("Buscar");
        jButtonBuscarMed.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonBuscarMedActionPerformed(evt);
            }
        });

        jTableMedicos.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {},
                {},
                {},
                {}
            },
            new String [] {

            }
        ));
        jTableMedicos.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jTableMedicosMouseClicked(evt);
            }
        });
        jScrollPane2.setViewportView(jTableMedicos);

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(36, 36, 36)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 481, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel3)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jTextFieldMedico, javax.swing.GroupLayout.PREFERRED_SIZE, 258, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jButtonBuscarMed)))
                .addGap(68, 68, 68)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel5)
                    .addComponent(jLabel6))
                .addGap(29, 29, 29)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jComboBoxTurno, javax.swing.GroupLayout.PREFERRED_SIZE, 107, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jDateChooserData, javax.swing.GroupLayout.PREFERRED_SIZE, 138, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(0, 0, Short.MAX_VALUE))
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(47, 47, 47)
                        .addComponent(jLabel2)
                        .addGap(18, 18, 18)
                        .addComponent(jTextFieldPaciente, javax.swing.GroupLayout.PREFERRED_SIZE, 234, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(jButtonBuscar))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(23, 23, 23)
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 857, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(39, 39, 39)
                        .addComponent(jLabel4)
                        .addGap(26, 26, 26)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jButtonAgendar, javax.swing.GroupLayout.PREFERRED_SIZE, 170, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(146, 146, 146)
                                .addComponent(jButtonCancelarAgenda))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jTextFieldProcedimento, javax.swing.GroupLayout.PREFERRED_SIZE, 369, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(50, 50, 50)
                                .addComponent(jLabel7)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jComboBoxEspecialidade, 0, 268, Short.MAX_VALUE)))))
                .addGap(33, 33, 33))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(32, 32, 32)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jTextFieldPaciente, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButtonBuscar))
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 123, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(22, 22, 22)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel3)
                                    .addComponent(jTextFieldMedico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jButtonBuscarMed)))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(34, 34, 34)
                                .addComponent(jLabel5)))
                        .addGap(22, 22, 22)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 117, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(18, 18, 18)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel6)
                                    .addComponent(jComboBoxTurno, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                        .addGap(21, 21, 21)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTextFieldProcedimento, javax.swing.GroupLayout.PREFERRED_SIZE, 77, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel4)
                            .addComponent(jLabel7)
                            .addComponent(jComboBoxEspecialidade, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(26, 26, 26)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jButtonAgendar, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jButtonCancelarAgenda, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(164, 164, 164)
                        .addComponent(jDateChooserData, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 18)); // NOI18N
        jLabel1.setText("AGENDAMENTO DE CONSULTAS");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(354, 354, 354)
                        .addComponent(jLabel1))
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 920, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(33, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addGap(8, 8, 8)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, 568, Short.MAX_VALUE)
                .addContainerGap())
        );

        setSize(new java.awt.Dimension(983, 671));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonBuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonBuscarActionPerformed
        preencherTabela("SELECT *from pacientes WHERE pac_nome like '%" +jTextFieldPaciente.getText()+ "%'");
    }//GEN-LAST:event_jButtonBuscarActionPerformed

    private void jTablePacientesMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jTablePacientesMouseClicked
        
        String nome_paciente =(String)jTablePacientes.getValueAt(jTablePacientes.getSelectedRow(), 1); 
       conexao.conexao();
       conexao.executaSql("select *from pacientes where pac_nome ='"+ nome_paciente+"'");
        try {
         
             conexao.rs.first();
            
            jTextFieldPaciente.setText(conexao.rs.getString("pac_nome"));
            
           
            conexao.desconecta();
            jComboBoxTurno.setEnabled(true);
            //jComboBoxMedicos.setEnabled(true);
            jTextFieldMedico.setEnabled(true);
            jDateChooserData.setEnabled(true);
            jTextFieldProcedimento.setEnabled(true);
           
            jButtonAgendar.setEnabled(true);
            jButtonCancelarAgenda.setEnabled(true);
    }//GEN-LAST:event_jTablePacientesMouseClicked
  catch(SQLException ex){
        JOptionPane.showMessageDialog(rootPane, "Erro"+ ex);
    }
    }
    private void jButtonAgendarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAgendarActionPerformed
        agenda.setNomePac(jTextFieldPaciente.getText());
         agenda.setNomeMed(jTextFieldMedico.getText());
       // agenda.setNomeMed((String) jComboBoxMedicos.getSelectedItem());
       agenda.setData(jDateChooserData.getDate());
        agenda.setProcedimento(jTextFieldProcedimento.getText());
        agenda.setTurno((String) jComboBoxTurno.getSelectedItem());
        agenda.setStatus("Aberto");
      
        ControleAgenda controlagenda = new ControleAgenda();
        controlagenda.Salvar(agenda);
        
        dispose(); // fecha após o agendamento
        //limpa o campo
        jTextFieldPaciente.setText(""); 
        jDateChooserData.setDate(null);
        jTextFieldProcedimento.setText("");
        //bloqueia novamente os campos
        jComboBoxTurno.setEnabled(false);
        jDateChooserData.setEnabled(false);
        jTextFieldProcedimento.setEnabled(false);   
        jButtonAgendar.setEnabled(false);
        jButtonCancelarAgenda.setEnabled(false);
        
        
    }//GEN-LAST:event_jButtonAgendarActionPerformed

    private void jButtonCancelarAgendaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelarAgendaActionPerformed
         //limpa o campo
        jTextFieldPaciente.setText(""); 
        jDateChooserData.setDate(null);
        jTextFieldProcedimento.setText("");
        //bloqueia novamente os campos
        jComboBoxTurno.setEnabled(false);
        jDateChooserData.setEnabled(false);
        jTextFieldProcedimento.setEnabled(false);   
        jButtonAgendar.setEnabled(false);
        jButtonCancelarAgenda.setEnabled(false);
    }//GEN-LAST:event_jButtonCancelarAgendaActionPerformed

    private void jButtonBuscarMedActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonBuscarMedActionPerformed
       preencherTabelaM("SELECT cod_medico,nome,especialidade, crm from medico WHERE nome like '%" +jTextFieldMedico.getText()+ "%'");
    }//GEN-LAST:event_jButtonBuscarMedActionPerformed

    private void jTableMedicosMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jTableMedicosMouseClicked
         String nome_medico =(String)jTableMedicos.getValueAt(jTableMedicos.getSelectedRow(), 1); 
       conexao.conexao();
       conexao.executaSql("select *from medico where nome ='"+ nome_medico+"'");
        try {
         
             conexao.rs.first();
            
            jTextFieldMedico.setText(conexao.rs.getString("nome"));
            
            conexao.desconecta();
            jComboBoxTurno.setEnabled(true);
            jTextFieldPaciente.setEnabled(true);
            //jComboBoxMedicos.setEnabled(true);
            jDateChooserData.setEnabled(true);
            jTextFieldProcedimento.setEnabled(true);
           
            jButtonAgendar.setEnabled(true);
            jButtonCancelarAgenda.setEnabled(true);
    }//GEN-LAST:event_jTableMedicosMouseClicked
                                             
  catch(SQLException ex){
        JOptionPane.showMessageDialog(rootPane, "Erro"+ ex);
    }
    }
    
    /**
     * @param args the command line arguments
     */
    
    public void preencherTabela(String Sql){
        ArrayList dados = new ArrayList();   
        String [] colunas = new String[]{"COD","Nome","RG","CPF","Telefone","Endereço", "Bairro","Data de Nascimento"};
        conexao.conexao();
        conexao.executaSql(Sql);
        
        try{
            conexao.rs.first();
            do{
                dados.add(new Object[]{conexao.rs.getInt("cod_paciente"),conexao.rs.getString("pac_nome"),conexao.rs.getString("pac_rg"),conexao.rs.getString("pac_cpf"),conexao.rs.getString("pac_telefone"),conexao.rs.getString("pac_endereco"),conexao.rs.getString("pac_bairro"), conexao.rs.getString("pac_nasc")});
                
                
            }while(conexao.rs.next()); //enquanto houver dados irá percorrer os dados
        
    }catch(SQLException ex){
            JOptionPane.showMessageDialog(rootPane, "Paciente não cadastrado. Realizar Nova Busca");
            //JOptionPane.showMessageDialog(rootPane, "Erro ao preencher lista.Buscar novamente");
            }
        Tabela modelo = new Tabela(dados, colunas);
        jTablePacientes.setModel(modelo);
        //coluna ID
        jTablePacientes.getColumnModel().getColumn(0).setPreferredWidth(30);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(0).setResizable(false); // não pode alterar tamanho da tabela
        //coluna nome
        jTablePacientes.getColumnModel().getColumn(1).setPreferredWidth(180);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(1).setResizable(false); // não pode alterar tamanho da tabela        
        //coluna rg
        jTablePacientes.getColumnModel().getColumn(2).setPreferredWidth(100);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(2).setResizable(false); // não pode alterar tamanho da tabela   
        //coluna cpf
        jTablePacientes.getColumnModel().getColumn(3).setPreferredWidth(100);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(3).setResizable(false); // não pode alterar tamanho da tabela 
        //coluna Telefone
        jTablePacientes.getColumnModel().getColumn(4).setPreferredWidth(100);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(4).setResizable(false); // não pode alterar tamanho da tabela  
        //coluna Endereço
        jTablePacientes.getColumnModel().getColumn(5).setPreferredWidth(140);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(5).setResizable(false); // não pode alterar tamanho da tabela   
        //coluna bairro
        jTablePacientes.getColumnModel().getColumn(6).setPreferredWidth(80);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(6).setResizable(false); // não pode alterar tamanho da tabela  
        //coluna data de nascimento
        jTablePacientes.getColumnModel().getColumn(7).setPreferredWidth(80);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(7).setResizable(false); // não pode alterar tamanho da tabela   
        
        jTablePacientes.getTableHeader().setReorderingAllowed(false);// não pode reordenar
        jTablePacientes.setAutoResizeMode(jTablePacientes.AUTO_RESIZE_OFF);//não pode redimensionar
        jTablePacientes.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);//seleciona um item por vez
        conexao.desconecta();
        
    }        
    
  
    public void preencherTabelaM(String Sql){
        ArrayList dados = new ArrayList();   
        String [] colunas = new String[]{"ID","Nome","Especialidade","CRM"};
        conexao.conexao();
        conexao.executaSql(Sql);
        
        try{
            conexao.rs.first();
            do{
                dados.add(new Object[]{conexao.rs.getInt("cod_medico"),conexao.rs.getString("nome"),conexao.rs.getString("especialidade"),conexao.rs.getString("crm")});
                
                
            }while(conexao.rs.next()); //enquanto houver dados irá percorrer os dados
        
    }catch(SQLException ex){
            JOptionPane.showMessageDialog(rootPane, "Medico não cadastrado.");
            
            }
        Tabela modelo = new Tabela(dados, colunas);
        jTableMedicos.setModel(modelo);
        //coluna ID
        jTableMedicos.getColumnModel().getColumn(0).setPreferredWidth(40);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(0).setResizable(false); // não pode alterar tamanho da tabela
        //coluna nome
        jTableMedicos.getColumnModel().getColumn(1).setPreferredWidth(230);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(1).setResizable(false); // não pode alterar tamanho da tabela        
        //coluna especialidade
        jTableMedicos.getColumnModel().getColumn(2).setPreferredWidth(160);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(2).setResizable(false); // não pode alterar tamanho da tabela   
        //coluna crm
        jTableMedicos.getColumnModel().getColumn(3).setPreferredWidth(40);//  tamanho da coluna
        jTableMedicos.getColumnModel().getColumn(3).setResizable(false); // não pode alterar tamanho da tabela 
      
        jTableMedicos.getTableHeader().setReorderingAllowed(false);// não pode reordenar
        jTableMedicos.setAutoResizeMode(jTableMedicos.AUTO_RESIZE_OFF);//não pode redimensionar
        jTableMedicos.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);//seleciona um item por vez
        conexao.desconecta();
        
    }        
    
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(CadastroAgenda.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(CadastroAgenda.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(CadastroAgenda.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(CadastroAgenda.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new CadastroAgenda().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonAgendar;
    private javax.swing.JButton jButtonBuscar;
    private javax.swing.JButton jButtonBuscarMed;
    private javax.swing.JButton jButtonCancelarAgenda;
    private javax.swing.JComboBox<String> jComboBoxEspecialidade;
    private javax.swing.JComboBox<String> jComboBoxTurno;
    private com.toedter.calendar.JDateChooser jDateChooserData;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTable jTableMedicos;
    private javax.swing.JTable jTablePacientes;
    private javax.swing.JTextField jTextFieldMedico;
    private javax.swing.JTextField jTextFieldPaciente;
    private javax.swing.JTextField jTextFieldProcedimento;
    // End of variables declaration//GEN-END:variables

}
